# Uses of Class
java.awt.RenderingHints

Packages that use RenderingHints
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
java.awt.image
Provides classes for creating and modifying images.
java.awt.image.renderable
Provides classes and interfaces for producing rendering-independent images.

## Uses of RenderingHints in java.awt

Methods in java.awt that return RenderingHints
Modifier and Type
Method
Description
`abstract RenderingHints`
Graphics2D.`getRenderingHints()`
Gets the preferences for the rendering algorithms.
Methods in java.awt with parameters of type RenderingHints
Modifier and Type
Method
Description
`void`
RenderingHints.`add(RenderingHints hints)`
Adds all of the keys and corresponding values from the specified `RenderingHints` object to this `RenderingHints` object.
`CompositeContext`
AlphaComposite.`createContext(ColorModel srcColorModel, ColorModel dstColorModel, RenderingHints hints)`
Creates a context for the compositing operation.
`PaintContext`
Color.`createContext(ColorModel cm, Rectangle r, Rectangle2D r2d, AffineTransform xform, RenderingHints hints)`
Creates and returns a `PaintContext` used to generate a solid color field pattern.
`CompositeContext`
Composite.`createContext(ColorModel srcColorModel, ColorModel dstColorModel, RenderingHints hints)`
Creates a context containing state that is used to perform the compositing operation.
`PaintContext`
GradientPaint.`createContext(ColorModel cm, Rectangle deviceBounds, Rectangle2D userBounds, AffineTransform xform, RenderingHints hints)`
Creates and returns a `PaintContext` used to generate a linear color gradient pattern.
`PaintContext`
LinearGradientPaint.`createContext(ColorModel cm, Rectangle deviceBounds, Rectangle2D userBounds, AffineTransform transform, RenderingHints hints)`
Creates and returns a `PaintContext` used to generate a linear color gradient pattern.
`PaintContext`
Paint.`createContext(ColorModel cm, Rectangle deviceBounds, Rectangle2D userBounds, AffineTransform xform, RenderingHints hints)`
Creates and returns a `PaintContext` used to generate the color pattern.
`PaintContext`
RadialGradientPaint.`createContext(ColorModel cm, Rectangle deviceBounds, Rectangle2D userBounds, AffineTransform transform, RenderingHints hints)`
Creates and returns a `PaintContext` used to generate a circular radial color gradient pattern.
`PaintContext`
TexturePaint.`createContext(ColorModel cm, Rectangle deviceBounds, Rectangle2D userBounds, AffineTransform xform, RenderingHints hints)`
Creates and returns a `PaintContext` used to generate a tiled image pattern.

## Uses of RenderingHints in java.awt.image

Methods in java.awt.image that return RenderingHints
Modifier and Type
Method
Description
`final RenderingHints`
AffineTransformOp.`getRenderingHints()`
Returns the rendering hints used by this transform operation.
`final RenderingHints`
BandCombineOp.`getRenderingHints()`
Returns the rendering hints for this operation.
`RenderingHints`
BufferedImageOp.`getRenderingHints()`
Returns the rendering hints for this operation.
`final RenderingHints`
ColorConvertOp.`getRenderingHints()`
Returns the rendering hints used by this op.
`final RenderingHints`
ConvolveOp.`getRenderingHints()`
Returns the rendering hints for this op.
`final RenderingHints`
LookupOp.`getRenderingHints()`
Returns the rendering hints for this op.
`RenderingHints`
RasterOp.`getRenderingHints()`
Returns the rendering hints for this RasterOp.
`final RenderingHints`
RescaleOp.`getRenderingHints()`
Returns the rendering hints for this op.
Constructors in java.awt.image with parameters of type RenderingHints
Modifier
Constructor
Description
``
`AffineTransformOp(AffineTransform xform, RenderingHints hints)`
Constructs an `AffineTransformOp` given an affine transform.
``
`BandCombineOp(float[][] matrix, RenderingHints hints)`
Constructs a `BandCombineOp` with the specified matrix.
``
`ColorConvertOp(ColorSpace srcCspace, ColorSpace dstCspace, RenderingHints hints)`
Constructs a new ColorConvertOp from two ColorSpace objects.
``
`ColorConvertOp(ColorSpace cspace, RenderingHints hints)`
Constructs a new ColorConvertOp from a ColorSpace object.
``
`ColorConvertOp(ICC_Profile[] profiles, RenderingHints hints)`
Constructs a new ColorConvertOp from an array of ICC_Profiles.
``
`ColorConvertOp(RenderingHints hints)`
Constructs a new ColorConvertOp which will convert from a source color space to a destination color space.
``
`ConvolveOp(Kernel kernel, int edgeCondition, RenderingHints hints)`
Constructs a ConvolveOp given a Kernel, an edge condition, and a RenderingHints object (which may be null).
``
`LookupOp(LookupTable lookup, RenderingHints hints)`
Constructs a `LookupOp` object given the lookup table and a `RenderingHints` object, which might be `null`.
``
`RescaleOp(float[] scaleFactors, float[] offsets, RenderingHints hints)`
Constructs a new RescaleOp with the desired scale factors and offsets.
``
`RescaleOp(float scaleFactor, float offset, RenderingHints hints)`
Constructs a new RescaleOp with the desired scale factor and offset.

## Uses of RenderingHints in java.awt.image.renderable

Methods in java.awt.image.renderable that return RenderingHints
Modifier and Type
Method
Description
`RenderingHints`
RenderContext.`getRenderingHints()`
Gets the rendering hints of this `RenderContext`.
Methods in java.awt.image.renderable with parameters of type RenderingHints
Modifier and Type
Method
Description
`RenderedImage`
RenderedImageFactory.`create(ParameterBlock paramBlock, RenderingHints hints)`
Creates a RenderedImage representing the results of an imaging operation (or chain of operations) for a given ParameterBlock and RenderingHints.
`RenderedImage`
RenderableImage.`createScaledRendering(int w, int h, RenderingHints hints)`
Creates a RenderedImage instance of this image with width w, and height h in pixels.
`RenderedImage`
RenderableImageOp.`createScaledRendering(int w, int h, RenderingHints hints)`
Creates a RenderedImage instance of this image with width w, and height h in pixels.
`void`
RenderContext.`setRenderingHints(RenderingHints hints)`
Sets the rendering hints of this `RenderContext`.
Constructors in java.awt.image.renderable with parameters of type RenderingHints
Modifier
Constructor
Description
``
`RenderContext(AffineTransform usr2dev, RenderingHints hints)`
Constructs a RenderContext with a given transform and rendering hints.
``
`RenderContext(AffineTransform usr2dev, Shape aoi, RenderingHints hints)`
Constructs a RenderContext with a given transform.